<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:padding="16dp"
    android:background="@drawable/dialog_background">

    <TextView
        android:id="@+id/dialogTitle"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="@string/restart_confirm_title"
        android:textSize="20sp"
        android:textStyle="bold"
        android:textColor="@color/text_tile_low"
        android:gravity="center"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

    <TextView
        android:id="@+id/dialogMessage"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="@string/restart_confirm_message"
        android:textSize="16sp"
        android:textColor="@color/text_tile_low"
        android:gravity="center"
        android:layout_marginTop="8dp"
        app:layout_constraintTop_toBottomOf="@+id/dialogTitle"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginTop="16dp"
        app:layout_constraintTop_toBottomOf="@+id/dialogMessage"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent">

        <Button
            android:id="@+id/dialogCancelButton"
            style="@style/ButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:layout_marginEnd="8dp"
            android:text="@string/cancel" />

        <Button
            android:id="@+id/dialogConfirmButton"
            style="@style/ButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:layout_marginStart="8dp"
            android:text="@string/confirm" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>